Bug 830405 - downstream patch breaks python3 modsupport.h
downstream patch breaks python3 modsupport.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 04:37 EDT by Kalev Lember
Modified: 2012-06-26 14:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 13:18:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2012-06-09 04:37:05 EDT
http://pkgs.fedoraproject.org/gitweb/?p=python3.git;a=commitdiff;h=79893680 added 00157-uid-gid-overflows.patch which adds new functions that take uid_t and gid_t:
+PyAPI_FUNC(PyObject *) _PyObject_FromUid(uid_t uid);
+PyAPI_FUNC(PyObject *) _PyObject_FromGid(gid_t gid);

However, modsupport.h is missing the necessary header that includes the definitions for these types, <sys/types.h>. And that is causing pygobject3 build to fail:

In file included from /usr/include/python3.2mu/Python.h:111:0,
                 from ../../gi/_glib/pyglib.h:25,
                 from gobjectmodule.c:29:
/usr/include/python3.2mu/modsupport.h:130:42: error: unknown type name 'uid_t'
/usr/include/python3.2mu/modsupport.h:131:42: error: unknown type name 'gid_t'
/usr/include/python3.2mu/modsupport.h:133:51: error: unknown type name 'uid_t'
/usr/include/python3.2mu/modsupport.h:134:51: error: unknown type name 'gid_t'
Comment 2 Kalev Lember 2012-06-19 13:18:27 EDT
I can confirm this fixes the issue, thanks.
Comment 3 Dave Malcolm 2012-06-26 14:58:10 EDT
I just ran into this with Python 2 whilst trying a scratch build of pygobject3.

Fix committed to python 2 as:
http://pkgs.fedoraproject.org/gitweb/?p=python.git;a=commitdiff;h=7e989460dec6afc658fee1ebfcb93118976bf8ce


Building python-2.7.3-10.fc18 for dist-rawhide
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4198290

Note You need to log in before you can comment on or make changes to this bug.